import { VMarkedText } from './IMarkedText';
import ISubjectLedger from './ISubjectLedger';
import Subject from './Subject';
export default class SubjectLedger implements ISubjectLedger {
    private markedText;
    private activeSubjectNames;
    private subjectGlossary;
    private inputColors;
    private inputColorLightness;
    private inputNumColors;
    private colors;
    constructor(subjectColors: string[], subjectColorLightness: number, numSubjectColors: number);
    link(markedText: VMarkedText): void;
    get subjectColors(): string[];
    set subjectColors(val: string[]);
    get subjectColorLightness(): number;
    set subjectColorLightness(val: number);
    get numSubjectColors(): number;
    set numSubjectColors(val: number);
    byName(name: string): Subject | undefined;
    resetSubjects(resetActive?: boolean): void;
    addSubjects(subjects: Iterable<string>, active?: boolean): void;
    private generateColors;
    subjectColor(subjectName: string): string | undefined;
    subjectStyle(subjectName: string): any;
    activateSubject(subjectName: string): void;
    deactivateSubject(subjectName: string): void;
    toggleSubject(subjectName: string): void;
    activateAllSubjects(): void;
    deactivateAllSubjects(): void;
    lineConnectSubject(subjectName: string): void;
    lineDisconnectSubject(subjectName: string): void;
    toggleLines(subjectName: string): void;
}
